org.apache.commons.math3.optim.nonlinear.vector

## Class ModelFunctionJacobian

- java.lang.Object
- - org.apache.commons.math3.optim.nonlinear.vector.ModelFunctionJacobian

- All Implemented Interfaces:
    OptimizationData

      public class ModelFunctionJacobian
      extends Object
      implements OptimizationData

  Jacobian of the model (vector) function to be optimized.
  Since:
    3.1
  Version:
    $Id$

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private MultivariateMatrixFunction` | `jacobian` Function to be optimized.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelFunctionJacobian(MultivariateMatrixFunction j)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultivariateMatrixFunction` | `getModelFunctionJacobian()` Gets the Jacobian of the model function to be optimized.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jacobian

          private final MultivariateMatrixFunction jacobian

      Function to be optimized.

  - ### Constructor Detail

    - #### ModelFunctionJacobian

          public ModelFunctionJacobian(MultivariateMatrixFunction j)

      Parameters:
        `j` - Jacobian of the model function to be optimized.

  - ### Method Detail

    - #### getModelFunctionJacobian

          public MultivariateMatrixFunction getModelFunctionJacobian()

      Gets the Jacobian of the model function to be optimized.
      Returns:
        the model function Jacobian.

Copyright (c) 2003-2013 Apache Software Foundation